Page MenuHomePhabricator

Help panel: testing search in Czech
Closed, ResolvedPublic

Description

@Urbanecm -- we have built this new feature for searching in the help panel, and we want to see how it performs in Czeh.

It is enabled on Catalan beta labs, since there is no Czech beta labs. You can turn on the help panel there: if you turn on the help panel there: https://ca.wikipedia.beta.wmflabs.org/wiki/

When you search in the "Search FAQs" bar, your search will be done only in the Wikipedia namespace -- using the search backend of production Czech Wikipedia. When you click a link, it will try to open it in beta, which won't work, but you can modify the URL to open it in production Wikipedia.

We're interested in knowing the quality of the results you get when you search for the things that newcomers might search. Could you please try several different searches and record on this task whether you got useful results?

Also please let us know any other feedback or thoughts you have about this feature.

It would be helpful if you can do this by 2019-01-27.

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 23 2019, 8:40 PM

Hi,

I did a quick test of this feature. I noticed it searches in Wikipedia: and Help: namespaces. That means it searches in following type of pages:

  • policies (that's probably okay) [Wikipedia NS]
  • best-practices (that's probably okay) [Wikipedia NS]
  • RFCs, nominations, votings, elections and other decision-making pages (that's probably confusing) [Wikipedia NS]
  • discussion forums (that's probably confusing) [Wikipedia NS]
  • pages for requests (that's probably confusing) [Wikipedia NS]
  • coordination pages (that's probably confusing) [Wikipedia NS]
  • help pages [Help NS]

For example, I tried to search "nedělitelná mezera" (translates to "non-breaking space") and it gave me links to typography best-practices (Wikipedie:Typografické rady), several nominations to featured article status (that's because "add non-breaking spaces when appropriate" is one of the most common issues raised in the nominations), technical Village pump archive (it was mentioned there), Administrator noticeboard archive and a page related to the current work of the Growth team. Out of those links, only one is relevant.

I think that we should either restrict the searching only to policies and best practices by a category or not search in Wikipedia namespace at all. I prefer the former, since users might search for policies.

I also have one note about the feature that's not related to Czech Wikipedia. Once I click into the Search FAQs textbox, the rest of help pane disappears to make place for search results. I think this should happen at later moment, when user starts typing into that box.

Trizek-WMF added a comment.EditedJan 24 2019, 8:57 AM

I think that we should either restrict the searching only to policies and best practices by a category or not search in Wikipedia namespace at all. I prefer the former, since users might search for policies.

Limit search to some categories is something we've been thinking about, since Korean Wikipedia relies on only one namespace for Help and everything. Your experience confirms that IMO.

MMiller_WMF added a comment.EditedJan 24 2019, 9:51 PM

@Urbanecm -- thanks for testing it out. While we know that the search results are not as good as they could be, would you say that you are getting good enough results in Czech that we could deploy this, mostly to find out whether people attempt to search? And then if they do, we could turn effort to improving their results.

Do you think there are straightforward categories on Czech Wikipedia that would be easy to list for this purpose?

Also, I like the point about not disappearing the rest of the help pane until typing starts. I'll bring it up.

MMiller_WMF closed this task as Resolved.Feb 4 2019, 10:15 PM

Closing this because the work is complete. But I am still interested in whether @Urbanecm thinks there are straightforward categories on Czech Wikipedia that would be easy to list, and with which we could filter the search.

Sorry for not writing anything, I'll have a deeper look into this on Tuesday or Wednesday.

@MMiller_WMF I think such a list would be pretty easy to make, at least for policies. The rest is just a few of pages, at worse, we can catch this with a special category just for this purpose.

We can use either categories or templates, if perhaps there are templates already present. We can also do some weighting of the results by these categories or templates if there is a perceived importance of one type over the other.

Policy templates inserts a category automatically, I think it's better to use categories. Weighting sounds like good idea. Do you want me to prepare such a list now?

@Urbanecm -- sure, please do go ahead and produce the list. We won't necessarily need it for a few weeks -- first we're going to deploy search without any categories, just to see how often people run searches and click on the results. If we see a lot of interaction, we'll want to improve search.

I think the list would be a list of URLs that we would want to appear in search. Any help pages, tutorials, policy pages, FAQs, etc. Then we can add the right category to them. Or do you think that these categories are already applied to all the right pages, and we just have to list what the categories are?

Urbanecm reassigned this task from Urbanecm to Urbanecm_WMF.Aug 26 2020, 1:49 PM
Urbanecm removed a project: User-Urbanecm.
Restricted Application added a project: User-Urbanecm_WMF. · View Herald TranscriptAug 26 2020, 1:49 PM
Urbanecm edited subscribers, added: Urbanecm_WMF; removed: Urbanecm.Aug 26 2020, 2:09 PM